#
# Cookbook:: swarm-prometheus
# Recipe:: default
#
# Copyright:: 2019, The Authors, All Rights Reserved.

attributes  = node['swarm-prometheus']
mongoattr   = node['swarm-prometheus']['mongo']['exporter']
uname       = node['swarm-prometheus']['user']
home_dir    = node['swarm-prometheus']['home_dir']

remote_directory "#{home_dir}/monitor" do
  source 'default'
  owner uname
  group uname
  mode '0755'
  files_owner uname
  files_group uname
  files_mode '0644'
  action :create
end

template "#{home_dir}/monitor.yml" do
  source 'monitor.yml.erb'
  owner uname
  group uname
  mode '0666'
  variables(attr: attributes)
end

template "#{home_dir}/monitor/nginx/conf.d/monitor.conf" do
  source 'nginx/monitor.conf.erb'
  owner uname
  group uname
  mode '0644'
  variables(attr: attributes, mongoattr: mongoattr)
end
